.TH revhead 1 "Version 4.3.0, Thursday 18th April 2013" "David M. Balean"
.SH NAME
revhead \- Maintain project version and changelog information
.SH SYNOPSIS
\fBrevhead\fP
.SH DESCRIPTION
.SS
\fBrevhead\fP
.SS
\fBrevhead\fP [PATH] \fIpathname\fP
.SS
\fBrevhead\fP PATH=\fIpathname\fP
These start revhead in the designated directory or if none then in the
.br
current directory.
.SS
\fBMain Window\fP
This consists of seven buttons with a status area at the top.
.br
The buttons are:-
.sp
\fB\(buDEFAULTS
.br
\(buUPDATE THIS PROJECT
.br
\(buTOUCH FILE(S)
.br
\(buFIXDATE FILE(S)
.br
\(buPROJECT ENVIRONMENT
.br
\(buCHANGE CURRENT DIRECTORY\fP
.br
\(bu\fBFINISHED\fP
.sp
When a button has been clicked, the main window changes and should be
self-explanatory. There are tooltips to help the user. A right-click
with the mouse brings up a popup menu.
.sp
If the current directory has no revhead environment,
.br
\fBUPDATE THIS PROJECT\fP
will not be activated so is unavailable. As a first step it is a good idea to save
a default file using \fBDEFAULTS\fP, then use \fBPROJECT ENVIRONMENT\fP to create
an environment for this project. If it is completely new it may be necessary use
the \fBCHANGE CURRENT DIRECTORY\fP button to move to and/or create
the project directory. When ready, the \fBUPDATE THIS PRROJECT\fP button can be used
to update the project which writes a comment header to each source file, writes
the changelog file and any version header files that the user specified earlier
in the environment. The \fBTOUCH FILE(S)\fP button is used to touch a file. This makes
it appear as if it has been modified so needs to be updated. The \fBFIXDATE FILE(S)\fP button
does the reverse. It makes the file appear unmodified by making its datestamp the same as
appears in the the file's revhead comment header.
.sp
The following programming languages are supported:-
.sp
\fB\(buC
.br
\(buC++
.br
\(buADA
.br
\(buFORTRAN
.br
\(buPERL
.br
\(buPHP
.br
\(buJAVA
.SH "FILES"
Revhead creates the following files:-
.br
\(bu \fIChangeLog\fR (or a user-defined name for it) in a user-defined directory
.br
\(bu \fI.revhead.project\fR in the directory revhead is using for the project
.br
\(bu \fI.revhead.defs\fR in the user's home directory
.SH "BUGS"
Hopefully not too many!  Use at your own risk.

.SH "AUTHOR & COPYRIGHT"
revhead version 4.2.9
.br
Copyright (C) 2011 David M. Balean <linprogs@balean.net>
.br
44 Wyong Road
.br
Killarney Vale
.br
NSW  2261
.br
AUSTRALIA
.br 
This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 3 of the License or,
(at your option) any later version.
This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.
You should have received a copy of the GNU General Public License
along with this program; if not, see <http://www.gnu.org/licenses/>.
.SH "SEE ALSO"
Documentation, normally in /usr/share/revhead/doc/revhead.html
